Subject: Re: [PATCH] Add color to git-add--interactive diffs (Take 2: now without spurious line break!)

From: Andreas Ericsson <[email-masked]>
Date: Sun, 14 Oct 2007 19:55:05 +0200

Johannes Schindelin wrote:
> Hi,
> 
> On Sun, 14 Oct 2007, Wincent Colaiuta wrote:
> 
>>> +sub parse_color {
>> You could simplify the manual escape sequence construction that you're 
>> doing here by using Term::ANSIColor like the other patches did. I see 
>> that git-send-email.perl uses that module too, so I guess depending on 
>> that module is ok.
> 
> Wrong.  Depending on that module is not correct, you always have to wrap 
> it into an "if (<is_color>) {...}".
> 
> I use git add -i quite often, and I _never_ use git send-email.  My guess 
> is that I am not alone with that.
> 

Not by a longshot, no. Personally I find git-send-email so tricky to use I've
rolled my own sender. I circulated it on the list a year or so back, but it's
not nearly so feature-full as git-send-email, so it never got much of an
audience.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231